SmartQuant Discussion
http://www.smartquant.com/forums/

IQFeed Login problem
http://www.smartquant.com/forums/viewtopic.php?f=86&t=14682
Page 1 of 1

Author:  mikembb [ Thu Jan 19, 2017 12:39 pm ]
Post subject:  IQFeed Login problem

Dear all,

when I want to connect to IQFeed and the application was not opened before by myself or another program, I cannot login and this error occurs:

"Sorry, your Product and/or Service for the attempted login are incorrect. If you have recently changed products you may also need to change your type of service. Please contact DTN customer support for assistance. (1)"

When I open IQFeed manuelly and then try to connect, all works fine...

Any idea?

Please find attached the full log.

Regards
Michael

Attachments:
File comment: full log file
IQFeed.zip [484 Bytes]
Downloaded 67 times

Author:  skuvv [ Thu Jan 19, 2017 2:09 pm ]
Post subject:  Re: IQFeed Login problem

IQFeed requires subscription for using their api.
And they provide ProductId and ProductVersion to use with API.
Early we were allowed to use ProductId = IQFEED_DEMO for all API users, but now it not works.
You have several variants for usage:
1)Pay for IQFeed API (development subscription).
2)Find ProductId and ProductVersion from other software.
3)Start IQFeed gateway from other software and then connect from SmartQuant,
eg start and connect to IQFeed from NinjaTrader, then connect from OQ2014.

Author:  mikembb [ Thu Jan 19, 2017 2:37 pm ]
Post subject:  Re: IQFeed Login problem

ok. I have an API code that I could use.

Where do I need to put that, to make it work?

Author:  skuvv [ Thu Jan 19, 2017 2:43 pm ]
Post subject:  Re: IQFeed Login problem

category: Settings - Product
Attachment:
settings.png
settings.png [ 11.45 KiB | Viewed 2296 times ]

Author:  mikembb [ Thu Jan 19, 2017 7:09 pm ]
Post subject:  Re: IQFeed Login problem

ok but in my version I do not see that.

I have version:
Version 1.0.6190.24002 64 bit

Thx

Author:  skuvv [ Thu Jan 19, 2017 7:17 pm ]
Post subject:  Re: IQFeed Login problem

Try update your version.
Latest version was 2017.01.17

Author:  mikembb [ Thu Jan 19, 2017 8:13 pm ]
Post subject:  Re: IQFeed Login problem

"You are currently using version 1.0.6190. No newer version available."

is only what I get when I try to update...

Author:  skuvv [ Fri Jan 20, 2017 12:54 pm ]
Post subject:  Re: IQFeed Login problem

Update it manually,
Check for Updates windows was not updated for some time.

Page 1 of 1 All times are UTC + 3 hours
Powered by phpBB® Forum Software © phpBB Group
https://www.phpbb.com/